#!/bin/bash

# Unofficial Bash Strict Mode (http://redsymbol.net/articles/unofficial-bash-strict-mode/)
set -euo pipefail
IFS=$'\n\t'

basedir="$(dirname "$0")"

for C in {5..9..1} {10..18..2} {20..25..5} {30..100..10}
do
    {
        echo 'override_env:'
        echo '    DATASET:            d_melanogaster'
        echo "    READS:              simulated-pb-${C}x"
        echo '    READS_TYPE:         PACBIO_SMRT'
        echo "    COVERAGE:           ${C}.0"
    } > "$basedir/coverage_series_${C}x.yml"
done
